Subject: [hrpc] draft-tenoever-hrpc-association-02

From: Stephen Farrell <[email-masked]>
Date: Sun, 22 Oct 2017 20:21:03 +0100

Hiya,

I like the idea that the RG adopt a document in this
space and work on it as an RG consensus document.

While this is far from done, I figure it could be a
good enough starting point.

Comments:

- For me, freedom of association is less about protest
than the document seems to assume (I might also be freely
associating just to organise to go to the pub:-). I'm
not sure if this leads to a bunch of minor edits or to
a bigger change.

- Research question 2 needs more explanation. Maybe I'll
get that before I reach the end of the draft.

- It's IMO an error to not include analysis of FB or
other closed systems. There has been an ongoing tension
between those and open protocols (jabber etc) in which
the latter have so far always lost out. I think looking
at that could be useful.

- Section 6 will need work but that can be fleshed out
as things go along. Right now, I don't think the text is
at the right level of detail - it's either too much or
too little. Maybe some thought as to which technologies
to describe and why might lead to some better structure
for that section. (But I don't have a specific suggestion
as of now.)

- I think section 6.3 needs a lot of work and has some
errors that need fixing - I just don't buy the filter
bubble argument, as presented.

- 6.3.2 should be deleted. DDoS is only an attack.
(I seem to recall saying similar before:-)

- Section 7 is pretty bare - what's the intent for
this going forward or do the authors think it's done?

- I'd like to have seen some examples and references
to how various folks have used the Internet to freely
assemble, in both more and less threatening situations.
I think that kind of information might be useful to
protocol developers, if presented well.

Cheers,
S.